
-
  name: 'Newland.Toubiz.Poi.Neos:Api.OpeningTimes'
  uriPattern: 'toubiz-poi/{article}/opening-times'
  defaults:
    '@package': 'newland.toubiz.poi.neos'
    '@controller': 'api'
    '@action': 'openingTimes'
    '@format': 'json'
  appendExceedingArguments: true
  routeParts:
    'article':
      objectType: 'Newland\Toubiz\Sync\Neos\Domain\Model\Article'

#
# Show action.
#
-
  name: 'Newland.Toubiz.Poi.Neos:PointOfInterests.List'
  uriPattern: '{node}/show/{--newland_toubiz_poi_neos-list.article}'
  defaults:
    '@package': 'Neos.Neos'
    '@controller': 'Frontend\Node'
    '@format': 'html'
    '@action': 'show'
    '--newland_toubiz_poi_neos-list':
        '@package': 'newland.toubiz.poi.neos'
        '@subpackage': ''
        '@controller': 'pointofinterests'
        '@action': 'show'
        '@format': 'html'
  routeParts:
    node:
      handler: 'Neos\Neos\Routing\FrontendNodeRoutePartHandler'
    '--newland_toubiz_poi_neos-list.article':
      objectType: 'Newland\Toubiz\Sync\Neos\Domain\Model\Article'
      uriPattern: '{name}-{urlIdentifier}'
  appendExceedingArguments: true

-
  name: 'Newland.Toubiz.Poi.Neos:FilteredLists.Show'
  uriPattern: 'toubiz-poi/filtered-list'
  defaults:
    '@package': 'newland.toubiz.poi.neos'
    '@subpackage': ''
    '@controller': 'filteredlists'
    '@action': 'show'
    '@format': 'html'
  appendExceedingArguments: true

-
  name: 'Newland.Toubiz.Poi.Neos:PointOfInterests.Show'
  uriPattern: '<PageFrame>/{matcher}/{--plugin.article}'
  defaults:
    'pageFrame': 'poiDetail'
    '--plugin':
      '@package': 'newland.toubiz.poi.neos'
      '@controller': 'pointofinterests'
      '@action': 'show'
  subRoutes:
    PageFrame:
      package: 'Newland.PageFrameProvider'
  routeParts:
    'matcher':
      handler: 'Newland\Toubiz\Poi\Neos\Routing\ArticleDetailRoutePart'
    '--plugin.article':
      objectType: 'Newland\Toubiz\Sync\Neos\Domain\Model\Article'
      uriPattern: '{name}-{urlIdentifier}'

# Legacy redirect: Redirects old detail page urls to new ones.
# This route must be below the route for the correct detail page.
-
  name: 'Newland.Toubiz.Poi.Neos:PointOfInterests.ShowLegacyRedirect'
  uriPattern: '{node}/{matcher}/{uriSegment}'
  defaults:
    '@package': 'newland.toubiz.poi.neos'
    '@controller': 'redirect'
    '@action': 'articleDetail'
  routeParts:
    'matcher':
      handler: 'Newland\Toubiz\Poi\Neos\Routing\ArticleDetailRoutePart'
    node:
      handler: 'Newland\PageFrameProvider\Routing\FrontendNodeRoutePartHandler'
